// by David A. Mellis 

import processing.serial.*; 
// használjuk a beépített soros kommunikációs könyvtárat

Serial port; // a soros portunkat nevezzük portnak 

void setup() {
  size(256, 150); // legyen a képernyőnk praktikusan 256 pixel széles

  println("Elérthető soros portok:");
  println(Serial.list()); 
  //nyomtassuk ki az összes elérhető portot
  // A listában látni fogjuk, hogy az Arduino portja úgy jelenik meg, mint a 
  // saját fejlesztőkörnyezetében.

  // A következő függvénnyel megnyitjuk a portot – adjuk meg a listában az 
  // Arduinonak megfelelő sorszámot (itt 0) és azt az átviteli sebességet,
  // amit, az Arduino kódjában meghatároztunk (itt 9600).

  port = new Serial(this, Serial.list()[0], 9600);  

  // ha tudjuk a port nevét, akkor megadhatjuk a következő formában is
  //port = new Serial(this, "COM1", 9600);
}

void draw() {
  // rajzoljunk egy gradienst függőleges vonalakból feketétől fehérig
  for (int i = 0; i < 256; i++) {
    stroke(i);
    line(i, 0, i, 150);
  }

  // mivel a képernyőnk 256 széles, kiírhatjuk az egér aktuális vízszintes 
  // koordinátáját egy az egyben a soros portra. 
  // A port.write() byte-onként küld.
  port.write(mouseX);
}

